using System.Threading.Tasks;
using BLL.Interfaces;

namespace BLL.Services
{
    public class NoCacheService : ICacheService
    {
        public ValueTask<T> GetAsync<T>(string key)
        {
            return ValueTask.FromResult(default(T));
        }

        public ValueTask SetAsync<T>(string key, T value, int expirationMinutes = 30)
        {
            return ValueTask.CompletedTask;
        }

        public ValueTask RemoveAsync(string key)
        {
            return ValueTask.CompletedTask;
        }

        public ValueTask<bool> ExistsAsync(string key)
        {
            return ValueTask.FromResult(false);
        }
    }
}
